Jelenlegi hely

A tcp_wrappers támogatás megszűnik

A csomagjaink tcp_wrappers támogatása megszűnik, és magát a csomagot is eltávolítjuk a [core] repóból. Ennek az az oka, hogy nem jött ki új verzió 1997 áprilisa óta. Továbbá az újabb deamonok és alkalmazások inkonzisztensek a libwrap támogatás tekintetében, így nem egyértelmű, hogy egy alkalmazás támogatja-e a könyvtárat vagy sem.

Ha használod az /etc/hosts.allow vagy /etc/hosts.deny fájlokat biztonsági vagy naplózási okokból, akkor megfelelő módon finomhangolni kell, és másik segédeszközt kell használnod (pl. iptables), illetve használhatsz más tűzfal segédalkalmazást is.

Ezenkívül a denyhosts csomagot is dobni fogjuk, mivel a tcp_wrappers-t igényli a bannolt hoszt-listák érvényre juttatásához. A fail2ban egy hasznos alternatíva.

Dan McGee, 2011-07-16

hírek címkéi: